get

GET /v2/webhooks/{webhook}/getEvents — List delivery events

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns the paginated delivery log for a specific webhook, along with summary statistics and the webhook's configuration.

Query parameters

ParameterTypeDescription
pagenumberPage number (default 1)
limitnumberPage size (default 10)
startDatestringISO 8601 — filter events on or after this date
endDatestringISO 8601 — filter events on or before this date
statusstringHTTP status code filter (e.g. "200", "500")
webhookTypestringEvent type filter (e.g. "order_created")

Response 200

{
  "webhook": {
    "id": "webhook::abc123",
    "webhookId": "webhook::abc123",
    "name": "Order sync",
    "targetUrl": "https://api.example.com/webhooks",
    "webhookStatus": "enabled",
    "webhookInterests": ["order_created"],
    "affiliate": "aff::xyz",
    "createdAt": "2026-05-30T14:00:00.000Z",
    "updatedAt": "2026-05-30T14:00:00.000Z",
    "authentication": true,
    "lastSuccessAt": "2026-05-31T09:00:00.000Z",
    "lastRotatedAt": null,
    "previousCredentialsExpiresAt": null,
    "consecutiveFailures": 0,
    "healthCheck": {},
    "payloadVersion": "v2"
  },
  "stats": {
    "deliverySuccessRate": 0.987,
    "consecutiveFailures": 0,
    "lastSuccessfulDeliveryAt": "2026-05-31T09:00:00.000Z",
    "totalEvents15d": 150,
    "subscribedEventTypes": 1
  },
  "count": 10,
  "page": 1,
  "data": [
    {
      "id": "webevent::xyz",
      "eventId": "order_created",
      "eventType": "order_created",
      "requestPayload": { "...": "the payload that was sent" },
      "payloadResolutionFailed": false,
      "responseMessage": null,
      "responseCode": 200,
      "responseTimeMs": 142,
      "retryCount": 0,
      "retriesExceeded": false,
      "permanentlyFailed": false,
      "isTest": false,
      "createdAt": "2026-05-30T14:00:00.000Z",
      "updatedAt": "2026-05-30T14:00:00.000Z"
    }
  ]
}

stats is not {total, success, failed} — it's deliverySuccessRate/consecutiveFailures/lastSuccessfulDeliveryAt/totalEvents15d/subscribedEventTypes. Each event uses responseCode/responseMessage, not statusCode/success.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!